<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Crud FullStack</title>
    <!-------CDN BOOTSTRAP----->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
        crossorigin="anonymous"></script>
    <!---Cargar hoja de estilo----->
    <link rel="stylesheet" href="style.css" />    
</head>

<body>
    <h1>Registro Full Stack Personas</h1>

    <!------Formulario-------->
    <!--<form>-->
        <!------Fila 1------>
        <div class="row">
            <!---Columna 1---->
            <div class="mb-3 col-6">
                <label for="nombre" class="form-label">Nombre: </label>
                <input type="text" class="form-control" id="nombre" placeholder="Nombre" required>
            </div>
            <!-----Columna 2----->
            <div class="mb-3 col-6">
                <label for="apellido" class="form-label">Apellido: </label>
                <input type="text" class="form-control" id="apellido" placeholder="Apellido" required>
            </div>
        </div>
        <!------Fila 2------>
        <div class="row">
            <!---Columna 1---->
            <div class="mb-3 col-6">
                <label for="telefono" class="form-label">Teléfono: </label>
                <input type="text" class="form-control" id="telefono" placeholder="Teléfono" required>
            </div>
            <!---Columna 2---->
            <div class="mb-3 col-6">
                <label for="email" class="form-label">Email: </label>
                <input type="email" class="form-control" id="email" placeholder="Email" required>
            </div>
        </div>
        <div id="contBtnRegistrar">
            <button type="sumbit" class="btn btn-primary" onclick="registrarPersona()">Registrar</button>
            <button type="sumbit" class="btn btn-warning" onclick="actualizarPersona()">Actualizar</button>
        </div>
    <!--</form> -->


    <!--------Tabla/listado de personas-------->
    <table class="table-primary">
        <!------Cabecera de la tabla----->
        <thead>
            <tr>
                <th>Nombre</th>
                <th>Apellido</th>
                <th>Teléfono</th>
                <th>Email</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <!---Cuerpo de la tabla----->
        <tbody id="cuerpoTabla">
            
        </tbody>
    </table>


    <!-----------------SCRIPTS------------->
    <script src="functions.js"></script>
</body>

</html>